Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.swing.desktop
Class LayoutType

    java.lang.Object
      org.crosswire.common.swing.desktop.LayoutType

All Implemented Interfaces:
  Serializable

    public abstract class LayoutType

extends Object
implements Serializable

Types of ViewLayouts. Currently there are two types of desktop layouts:

- TDI - tabbed document interface.
- MDI - multiple document interface (sub-windows)

Author:
  Joe Walker [joe at eireneh dot com], DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`protected AbstractViewLayout` | `layout` The actual layout
`static LayoutType` | `MDI` Multiple Document View
`private String` | `name` The name of the LayoutType
`private static int` | `nextObj`
`private int` | `obj`
`static LayoutType` | `TDI` Tabbed View
`private static LayoutType[]` | `VALUES`

Constructor Summary
`protected` | `LayoutType(String name)` Simple ctor

Method Summary
`abstract AbstractViewLayout` | `createLayout()` Create the appropriate kind of view layout
`boolean` | `equals(Object o)` Prevent subclasses from overriding canonical identity based Object methods
`static LayoutType` | `fromInteger(int i)` Lookup method to convert from an integer
`static LayoutType` | `fromString(String name)` Lookup method to convert from a String
`AbstractViewLayout` | `getLayout()` Return the layout
`int` | `hashCode()` Prevent subclasses from overriding canonical identity based Object methods
`(package private) Object` | `readResolve()`
`int` | `toInteger()` Get an integer representation for this LayoutType
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TDI

    public static final LayoutType TDI

  Tabbed View

### MDI

    public static final LayoutType MDI

  Multiple Document View

### name

    private String name

  The name of the LayoutType

### layout

    protected AbstractViewLayout layout

  The actual layout

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final LayoutType[] VALUES

Constructor Detail

### LayoutType

    protected LayoutType(String name)

  Simple ctor

Method Detail

### getLayout

    public AbstractViewLayout getLayout()

  Return the layout

  Returns:
    the layout

### createLayout

    public abstract AbstractViewLayout createLayout()

  Create the appropriate kind of view layout

  Returns:
    the created view layout

### toInteger

    public int toInteger()

  Get an integer representation for this LayoutType

### fromString

    public static LayoutType fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static LayoutType fromInteger(int i)

  Lookup method to convert from an integer

### equals

    public final boolean equals(Object o)

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public final int hashCode()

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD